# PulpOstreeClient::OstreeOstreeObjectResponse

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**pulp_href** | **String** |  | [optional] [readonly] 
**pulp_created** | **DateTime** | Timestamp of creation. | [optional] [readonly] 
**artifact** | **String** | Artifact file representing the physical content | 
**commit** | **String** |  | 
**checksum** | **String** |  | 
**typ** | **Integer** |              The type of an object. All values are described by the mapping declared at             https://lazka.github.io/pgi-docs/OSTree-1.0/enums.html#OSTree.ObjectType              | 

## Code Sample

```ruby
require 'PulpOstreeClient'

instance = PulpOstreeClient::OstreeOstreeObjectResponse.new(pulp_href: null,
                                 pulp_created: null,
                                 artifact: null,
                                 commit: null,
                                 checksum: null,
                                 typ: null)
```


