# PulpOstreeClient::OstreeRepoImport

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**artifact** | **String** | An artifact representing OSTree content compressed as a tarball. | 
**repository_name** | **String** | The name of a repository that contains the compressed OSTree content. | 
**ref** | **String** | The name of a ref branch that holds the reference to the last commit. | [optional] 
**parent_commit** | **String** | The checksum of a parent commit with which the content needs to be associated. | [optional] 

## Code Sample

```ruby
require 'PulpOstreeClient'

instance = PulpOstreeClient::OstreeRepoImport.new(artifact: null,
                                 repository_name: null,
                                 ref: null,
                                 parent_commit: null)
```


